Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class DecodeRunLength

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              multivalent.std.adaptor.pdf.DecodeRunLength

public class DecodeRunLength
extends java.io.FilterInputStream

RunLengthDecode filter. Never used in practice.

> length byte followed by 1 to 128 bytes of data. If the length byte is in the range 0 to 127, the following length +1 (1 to 128) bytes are copied literally during decompression. If length is in the range 129 to 255, the following single byte is to be copied 257 -length (2 to 128) times during decompression. A length value of 128 denotes EOD.

Version:
  $Revision: 1.9 $ $Date: 2003/07/30 20:48:22 $

Field Summary
`static int` | `EOD` End of data marker.

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`DecodeRunLength(java.io.InputStream in)`

Method Summary
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EOD

    public static final int EOD

  End of data marker.

  See Also:
    Constant Field Values

Constructor Detail

### DecodeRunLength

    public DecodeRunLength(java.io.InputStream in)

Method Detail

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.FilterInputStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD